import { App } from 'vue';
import { Router } from 'vue-router';
import {AxiosInstance} from 'axios';

export interface InstallOptions {
    router: Router;
    axios: AxiosInstance;
    options?: {
        appIsAllAuth?: boolean;
        authCasLogoutUrl?: string;
        jwtServerUrl?: string;
        serverCAS?: string;
        tokenErrorRoutes?: {
            default: string;
            [status: string]: string;
        }
    }
}

declare class CasAuthentication {
    static install(app: App, options: InstallOptions): void;
}

export default CasAuthentication
